Package wx :: Class PostScriptDC

[frames | no frames]

## Type PostScriptDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    PostScriptDC

This is a `wx.DC` that can write to PostScript files on any platform.

Method Summary
PostScriptDC | ``__init__`(self, printData)` Constructs a PostScript printer device context from a `wx.PrintData` object.
wxPrintData | `GetPrintData(self)`
int | ``GetResolution`()` Return resolution used in PostScript output. (Static method)
| `SetPrintData(self, data)`
| ``SetResolution`(ppi)` Set resolution (in pixels per inch) that will be used in PostScript output. (Static method)

Property Summary
| `PrintData`: See `GetPrintData` and `SetPrintData`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, printData)
(Constructor)

Constructs a PostScript printer device context from a `wx.PrintData` object.

  Parameters:
    `printData`
    (type=wxPrintData)

  Returns:
    PostScriptDC
  Overrides:
    `wx.DC.__init__`

Static Method Details

### GetResolution()

Return resolution used in PostScript output.

  Returns:
    int

### SetResolution(ppi)

Set resolution (in pixels per inch) that will be used in PostScript output. Default is 720ppi.

  Parameters:
    `ppi`
    (type=int)

Property Details

### PrintData

See `GetPrintData` and `SetPrintData`

  Get Method:
    `GetPrintData`(self)
  Set Method:
    `SetPrintData`(self, data)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:15 2007 | http://epydoc.sf.net